/*
 * my_LCD.h
 *
 *  Created on: 10/dic/2015
 *      Author: gozzini.davide
 *
 * funzioni per scrivere sullo schermo, non si puo' leggere
 *
 */

#ifndef MY_LCD_H_
#define MY_LCD_H_

//==============================================================================
// Include files

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// External variables

extern char MSG[20];

//==============================================================================
// Global functions

long LCD_Init(void);
long LCD_WriteChar(unsigned long line, unsigned long position, char ch);
long LCD_WriteLine(unsigned long line, char *MSG);

long LCD_Display_Clear(void);
long LCD_Cursor_Home(void);
long LCD_Display_ON(void);
long LCD_Display_OFF(void);
long LCD_Cursor_ON(void);
long LCD_Cursor_OFF(void);
long LCD_Cursor_Blink_ON(void);
long LCD_Cursor_Blink_OFF(void);
long LCD_Cursor_Shift_Left(void);
long LCD_Cursor_Shift_Right(void);
long LCD_Cursor_To_Position(unsigned long line, unsigned long position);

#endif /* MY_LCD_H_ */
